Skip to main content
PATCH
Updates a customer.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

customerId
string<uuid>
required

Represents a unique key for identifying a customer in the JTL system.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

Request parameters

Updates a customer. - Request

companyId
string<uuid>

ID of the company the customer belongs to. Optional — if omitted, the existing company assignment is left unchanged.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

customerGroupId
string<uuid>

Customer group for the customer to be in.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

customerCategoryId
string<uuid>

The customer's category ID.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

paymentMethodId
string<uuid>

The customer's preferred payment method ID.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

accountsReceivableNumber
integer<int32>

The accounts receivable number of the customer.

birthday
string<date-time>

The customer's date of birth.

commercialRegisterNumber
string

The customer's commercial register number.

customerNumber
string

Number of the customer. If no number is given when posting a customer, the number will be generated automatically.

ebayName
string

The customer's ebay name.

homepage
string

The customer's homepage URL.

initialContact
string

The source of initial contact. This could be for example a specific sales channel, a convention or a marketing campaign.

isCashRegisterBased
boolean

States if a customer is from a cash-register or point of sale and if their data should be synchronized with JTL-POS, for example.

isLocked
boolean

The customer's locked status.

languageIso
string

The customer's preferred language in ISO format (e.g. "de", "en").

taxIdentificationNumber
string

The customer's tax identification number.

addresses
object[]

Addresses of the customer.

paymentSettings
object

Settings relevant to payment for the customer.

createdDate
string<date-time>

The date and time of the customer's creation.

Response

The customer has been updated successfully.

Updates a customer. - Response

customerId
string<uuid>
required

ID of the updated customer

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"